import 'package:comunic/helpers/database/model_database_helper.dart';
import 'package:comunic/models/user.dart';

import 'database_contract.dart';

/// User database helper
///
/// @author Pierre HUBERT

class UsersDatabaseHelper extends ModelDatabaseHelper<User> {


  @override
  String tableName() {
    return UserTableContract.TABLE_NAME;
  }

  @override
  User initializeFromMap(Map<String, dynamic> map) {
    return User.fromMap(map);
  }


}
