import 'dart:convert';

/// API response
///
/// @author Pierre HUBERT

class APIResponse {
  final int code;
  final String content;

  const APIResponse(this.code, this.content) : assert(code != null);

  List<dynamic> getArray() => jsonDecode(this.content);

  Map<String, dynamic> getObject() => jsonDecode(this.content);
}
