import 'package:flutter/material.dart';

/// Little State hack to avoid issues
///
/// @author Pierre HUBERT

abstract class SafeState<T extends StatefulWidget> extends State<T> {
  @override
  void setState(fn) {
    if(mounted)
      super.setState(fn);
  }
}